#!/opt/cloudlinux/venv/bin/python3 -bb
# -*- coding: utf-8 -*-

# cloudlinux-config Utility to check Cloudlinux config
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# pylint: disable=import-outside-toplevel

import sys

from clcommon.const import Feature
from clcommon.cpapi import is_panel_feature_supported
from clcommon.utils import is_root_or_exit


def main(argv):
    """
    Main run function
    """
    is_root_or_exit()
    if not is_panel_feature_supported(Feature.LVE):
        from clconfig.config import ClConfigWithoutLve as ClConfig
    else:
        from clconfig.config import ClConfig
    cll = ClConfig()
    return cll.run(argv)


if __name__ == "__main__":
    sys.exit(main(sys.argv[1:]))
