# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

import sys
import logging

from clsummary.summary import CloudlinuxSummary, LOG_FILE
from lve_utils.sentry import init_lve_utils_sentry_client


def main(argv):
    """
    Main run function
    """
    create_logger()
    init_lve_utils_sentry_client('cloudlinux-summary')
    return CloudlinuxSummary().run(argv)


def create_logger():
    # type: () -> None
    """
    Create and set params of logging
    """

    app_logger = logging.getLogger('cloudlinux-summary')
    app_logger.setLevel(logging.INFO)
    # Setup logger
    # create the logging file handler
    fh = logging.FileHandler(LOG_FILE)
    formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
    fh.setFormatter(formatter)
    # add handler to logger object
    app_logger.addHandler(fh)


if __name__ == "__main__":
    main(sys.argv[1:])
